# makefile for cba
CXX	:= c++
CXXFLAGS := -O

OBJECTS	:= cbeam_class.o cba_main.o

cba: $(OBJECTS)
	$(CXX) $(OBJECTS) -o cba

cbeam_class.o: cbeam_class.cpp
	$(CXX) $(CXXFLAGS) -c cbeam_class.cpp -o cbeam_class.o

cba_main.o: cba_main.cpp
	$(CXX) $(CXXFLAGS) -c cba_main.cpp -o cba_main.o

clean:
	rm $(OBJECTS)

install: 
	install cba $(DESTDIR)/usr/bin
